Bullet Collision Detection & Physics Library: btHashedSimplePairCache Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
btHashedSimplePairCache Class Reference

`#include <btHashedSimplePairCache.h>`

Collaboration diagram for btHashedSimplePairCache:
[legend]

## Public Member Functions
| btHashedSimplePairCache ()
virtual | ~btHashedSimplePairCache ()
void | removeAllPairs ()
virtual void * | removeOverlappingPair (int indexA, int indexB)
virtual btSimplePair * | addOverlappingPair (int indexA, int indexB)
virtual btSimplePair * | getOverlappingPairArrayPtr ()
const btSimplePair * | getOverlappingPairArrayPtr () const
btSimplePairArray & | getOverlappingPairArray ()
const btSimplePairArray & | getOverlappingPairArray () const
btSimplePair * | findPair (int indexA, int indexB)
int | GetCount () const
int | getNumOverlappingPairs () const

## Protected Attributes
btAlignedObjectArray< int > | m_hashTable
btAlignedObjectArray< int > | m_next

## Private Member Functions
btSimplePair * | internalAddPair (int indexA, int indexB)
void | growTables ()
bool | equalsPair (const btSimplePair &pair, int indexA, int indexB)
unsigned int | getHash (unsigned int indexA, unsigned int indexB)
btSimplePair * | internalFindPair (int proxyIdA, int proxyIdB, int hash)

## Private Attributes
btSimplePairArray | m_overlappingPairArray

## Detailed Description

Definition at line 49 of file btHashedSimplePairCache.h.

## Constructor & Destructor Documentation

## ◆ btHashedSimplePairCache()

btHashedSimplePairCache::btHashedSimplePairCache | ( |  | ) |

Definition at line 27 of file btHashedSimplePairCache.cpp.

## ◆ ~btHashedSimplePairCache()

btHashedSimplePairCache::~btHashedSimplePairCache | ( |  | ) |
| virtual

Definition at line 34 of file btHashedSimplePairCache.cpp.

## Member Function Documentation

## ◆ addOverlappingPair()

virtual btSimplePair * btHashedSimplePairCache::addOverlappingPair | ( | int | indexA,
|  | int | indexB
| ) |  |
| inlinevirtual

Definition at line 67 of file btHashedSimplePairCache.h.

## ◆ equalsPair()

bool btHashedSimplePairCache::equalsPair | ( | const btSimplePair & | pair,
|  | int | indexA,
|  | int | indexB
| ) |  |
| inlineprivate

Definition at line 110 of file btHashedSimplePairCache.h.

## ◆ findPair()

btSimplePair * btHashedSimplePairCache::findPair | ( | int | indexA,
|  | int | indexB
| ) |  |

Definition at line 49 of file btHashedSimplePairCache.cpp.

## ◆ GetCount()

int btHashedSimplePairCache::GetCount | ( |  | ) | const
| inline

Definition at line 98 of file btHashedSimplePairCache.h.

## ◆ getHash()

unsigned int btHashedSimplePairCache::getHash | ( | unsigned int | indexA,
|  | unsigned int | indexB
| ) |  |
| inlineprivate

Definition at line 115 of file btHashedSimplePairCache.h.

## ◆ getNumOverlappingPairs()

int btHashedSimplePairCache::getNumOverlappingPairs | ( |  | ) | const
| inline

Definition at line 100 of file btHashedSimplePairCache.h.

## ◆ getOverlappingPairArray() [1/2]

btSimplePairArray & btHashedSimplePairCache::getOverlappingPairArray | ( |  | ) |
| inline

Definition at line 86 of file btHashedSimplePairCache.h.

## ◆ getOverlappingPairArray() [2/2]

const btSimplePairArray & btHashedSimplePairCache::getOverlappingPairArray | ( |  | ) | const
| inline

Definition at line 91 of file btHashedSimplePairCache.h.

## ◆ getOverlappingPairArrayPtr() [1/2]

virtual btSimplePair * btHashedSimplePairCache::getOverlappingPairArrayPtr | ( |  | ) |
| inlinevirtual

Definition at line 76 of file btHashedSimplePairCache.h.

## ◆ getOverlappingPairArrayPtr() [2/2]

const btSimplePair * btHashedSimplePairCache::getOverlappingPairArrayPtr | ( |  | ) | const
| inline

Definition at line 81 of file btHashedSimplePairCache.h.

## ◆ growTables()

void btHashedSimplePairCache::growTables | ( |  | ) |
| private

Definition at line 83 of file btHashedSimplePairCache.cpp.

## ◆ internalAddPair()

btSimplePair * btHashedSimplePairCache::internalAddPair | ( | int | indexA,
|  | int | indexB
| ) |  |
| private

Definition at line 119 of file btHashedSimplePairCache.cpp.

## ◆ internalFindPair()

btSimplePair * btHashedSimplePairCache::internalFindPair | ( | int | proxyIdA,
|  | int | proxyIdB,
|  | int | hash
| ) |  |
| inlineprivate

Definition at line 129 of file btHashedSimplePairCache.h.

## ◆ removeAllPairs()

void btHashedSimplePairCache::removeAllPairs | ( |  | ) |

Definition at line 38 of file btHashedSimplePairCache.cpp.

## ◆ removeOverlappingPair()

void * btHashedSimplePairCache::removeOverlappingPair | ( | int | indexA,
|  | int | indexB
| ) |  |
| virtual

Definition at line 152 of file btHashedSimplePairCache.cpp.

## Member Data Documentation

## ◆ m_hashTable

btAlignedObjectArray<int> btHashedSimplePairCache::m_hashTable
| protected

Definition at line 54 of file btHashedSimplePairCache.h.

## ◆ m_next

btAlignedObjectArray<int> btHashedSimplePairCache::m_next
| protected

Definition at line 55 of file btHashedSimplePairCache.h.

## ◆ m_overlappingPairArray

btSimplePairArray btHashedSimplePairCache::m_overlappingPairArray
| private

Definition at line 51 of file btHashedSimplePairCache.h.

The documentation for this class was generated from the following files:

- btHashedSimplePairCache.h
- btHashedSimplePairCache.cpp